package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class SendAllAttendaceToServer implements Serializable {

    SendScheduleID scheduleID;

    public SendScheduleID getScheduleID() {
        return scheduleID;
    }

    public void setScheduleID(SendScheduleID scheduleID) {
        this.scheduleID = scheduleID;
    }

    @SerializedName("upload_photo")
    @Expose
    private String uploadPhoto;
    @SerializedName("day")
    @Expose
    private String day;
    @SerializedName("ispresent")
    @Expose
    private String ispresent;
    @SerializedName("userid")
    @Expose
    private String userid;
    @SerializedName("manual_attendance_reason")
    @Expose
    private String manualAttendanceReason;
    @SerializedName("absence_reason")
    @Expose
    private String absenceReason;
    private final static long serialVersionUID = 5920386584828312924L;

    public String getUploadPhoto() {
        return uploadPhoto;
    }

    public void setUploadPhoto(String uploadPhoto) {
        this.uploadPhoto = uploadPhoto == null ? "" : uploadPhoto;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day == null ? "" : day;
    }

    public String getIspresent() {
        return ispresent;
    }

    public void setIspresent(String ispresent) {
        this.ispresent = ispresent == null ? "" : ispresent;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? "" : userid;
    }

    public String getManualAttendanceReason() {
        return manualAttendanceReason;
    }

    public void setManualAttendanceReason(String manualAttendanceReason) {
        this.manualAttendanceReason = manualAttendanceReason == null ? "" : manualAttendanceReason;
    }

    public String getAbsenceReason() {
        return absenceReason;
    }

    public void setAbsenceReason(String absenceReason) {
        this.absenceReason = absenceReason == null ? "" : absenceReason;
    }

}